#ifndef _podskupina
#define _podskupina

#include <set>
#include <map>

#include "uzel.h"

using namespace std;

class SmallC{
      public:
      
      int no_in, number, inputsOnly;
      map<string,Uzel*> *gateM;
      set<string> inputs;
      set<string> outputs;
      
      public:
      SmallC (map<string,Uzel*> *_gateM, int _no_in, int _number);
};

#endif
